Skip to main content
POST
POST
Adds a website to the authenticated user’s organisation. The website will be available for scans immediately after creation. Requires the settings:website:add permission.

Request Body

string
required
The full URL of the website (e.g. https://example.com). Must be a valid URI.
string
A friendly display name for the website. Defaults to the domain if omitted.
string
UUID of the scan server region to use. Get available regions from List Regions.

Response

boolean
true when the website has been created.
object
The newly created website object with id, website_url, website_name, status, organisation_id.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
website_url
string<uri>
required
Example:

"https://example.com"

website_name
string
Example:

"Example Site"

region_id
string<uuid> | null

Response

201 - application/json

Website added

success
boolean
data
object